This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 970136 - No space left on device error after several restarts
No space left on device error after several restarts
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: httpd (Show other bugs)
7.0
Unspecified Unspecified
high Severity high
: rc
: ---
Assigned To: Web Stack Team
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-03 10:07 EDT by Lukas "krteknet" Novy
Modified: 2014-02-18 18:56 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-03 11:39:44 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lukas "krteknet" Novy 2013-06-03 10:07:20 EDT
Description of problem:
Restarting httpd several times in VM leads to No space left on device message in error log and httpd refuses to start

Version-Release number of selected component (if applicable):
httpd-2.4.4-5.el7

How reproducible:
Always (after couple of tries)

Steps to Reproduce:
1. Schedule /CoreOs/httpd/Sanity/bz874479-Support-SSLCompression-on-in several times in one recipeset
2. Watch it fails after about 4th try

Actual results:
error_log reads:
[Mon Jun 03 15:36:30.127818 2013] [core:notice] [pid 10499] SELinux policy enabled; httpd running as context unconfined_u:system_r:unconfined
[Mon Jun 03 15:36:30.128428 2013] [suexec:notice] [pid 10499] AH01232: suEXEC mechanism enabled (wrapper: /usr/sbin/suexec)
[Mon Jun 03 15:36:31.001252 2013] [ssl:notice] [pid 10499] AH01886: SSL FIPS mode disabled
[Mon Jun 03 15:36:31.057056 2013] [auth_digest:notice] [pid 10500] AH01757: generating secret for digest authentication ...
[Mon Jun 03 15:36:31.057517 2013] [core:emerg] [pid 10500] (28)No space left on device: AH00023: Couldn't create the authdigest-opaque mutex
[Mon Jun 03 15:36:31.057551 2013] [auth_digest:error] [pid 10500] (28)No space left on device: AH01760: failed to create lock (opaque_lock) -
[Mon Jun 03 15:36:31.057620 2013] [:emerg] [pid 10500] AH00020: Configuration Failed, exiting


Expected results:
httpd runs

Additional info:
Simple reboot fixes issue.
There's plenty of space on all volumes.
I'm investigating now if I can reproduce this more simply.
Comment 1 Lukas "krteknet" Novy 2013-06-03 10:11:22 EDT
Simple

# while true; do killall -9 httpd; httpd; sleep 1; done

can cause this.
Comment 3 Joe Orton 2013-06-03 10:26:24 EDT
Terminating the httpd parent with SIGKILL is expected to have this effect, SysV semaphores and shm segments cannot be cleaned up reliably if the parent is terminated "with extreme prejudice"...

However this should not be seen during normal operation.  We have been adjusting systemd shutdown handling so this could be a side-effect.
Comment 7 Joe Orton 2013-06-03 10:50:33 EDT
Put the env vars in /etc/sysconfig/httpd
Comment 8 Lukas "krteknet" Novy 2013-06-03 11:30:59 EDT
If this is intended behaviour, feel free to close this bug, my issue is solved.
Comment 9 Joe Orton 2013-06-03 11:39:44 EDT
Thanks Lukas.  Yes, done.

Note You need to log in before you can comment on or make changes to this bug.